package main

import (
	"flag"
	"github.com/louisevanderlith/comment/handles"
	"net/http"
	"os"
	"path"
	"strconv"
	"time"

	"github.com/louisevanderlith/comment/core"
	"github.com/louisevanderlith/comment/routers"
	"github.com/louisevanderlith/droxolite"
	"github.com/louisevanderlith/droxolite/bodies"
	"github.com/louisevanderlith/droxolite/do"
	"github.com/louisevanderlith/droxolite/element"
	"github.com/louisevanderlith/droxolite/resins"
	"github.com/louisevanderlith/droxolite/servicetype"
)

func main() {
	host := flag.String("host", "localhost", "Domain Host")
	authrty := flag.String("authority", "http://localhost:8086", "Authority Provider's URL")
	srcSecrt := flag.String("scopekey", "secret", "Secret used to validate against scopes")
	flag.Parse()

	core.CreateContext()
	defer core.Shutdown()

	srvr := &http.Server{
		ReadTimeout:  time.Second * 15,
		WriteTimeout: time.Second * 15,
		Addr:         ":8084",
		Handler:      handles.SetupRoutes(*host, *srcSecrt, *authrty),
	}

	err := srvr.ListenAndServe()

	if err != nil {
		panic(err)
	}
}
